commit:     0763bd419e9aa2deaaba9f4c296c12adbeff6591
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Mon May 29 13:34:22 2017 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Mon May 29 13:36:57 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0763bd41

net-news/rawdog: EAPI 6 bump.

Package-Manager: Portage-2.3.5, Repoman-2.3.1

 net-news/rawdog/rawdog-2.22-r1.ebuild | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/net-news/rawdog/rawdog-2.22-r1.ebuild 
b/net-news/rawdog/rawdog-2.22-r1.ebuild
new file mode 100644
index 00000000000..e6ef6154e2f
--- /dev/null
+++ b/net-news/rawdog/rawdog-2.22-r1.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="Rawdog, RSS Aggregator Without Delusions Of Grandeur"
+HOMEPAGE="http://offog.org/code/rawdog.html 
https://pypi.python.org/pypi/rawdog";
+SRC_URI="http://offog.org/files/${P}.tar.gz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~s390 ~sparc ~x86"
+
+DEPEND="dev-python/feedparser[${PYTHON_USEDEP}]"
+RDEPEND="${DEPEND}"
+
+python_test() {
+       # pypy fails half way through; meh
+       ./test-rawdog || die "Test run aborted"
+}

Reply via email to